Package twisted :: Package protocols :: Module nntp

[frames | no frames]

## Module twisted.protocols.nntp

NNTP protocol support.

Stability: semi-stable

Maintainer: Jp Calderone

The following protocol commands are currently understood:

       LIST        LISTGROUP                  XOVER        XHDR
       POST        GROUP        ARTICLE       STAT         HEAD
       BODY        NEXT         MODE STREAM   MODE READER  SLAVE
       LAST        QUIT         HELP          IHAVE        XPATH
       XINDEX      XROVER       TAKETHIS      CHECK

The following protocol commands require implementation:

                                NEWNEWS
                                XGTITLE                XPAT
                                XTHREAD       AUTHINFO NEWGROUPS

Other desired features:

- A real backend
- More robust client input handling
- A control protocol

Classes
`NNTPClient` |
`NNTPServer` |
`UsenetClientProtocol` | A client that connects to an NNTP server and asks for articles new since a certain time.

Exceptions
`NNTPError` |

Function Summary
| `extractCode(line)`
| `parseRange(text)`

Generated by Epydoc 2.0 on Sat May 15 20:08:24 2004 | http://epydoc.sf.net